Class BaseSearchBody
java.lang.Object
org.codelibs.fess.app.web.api.admin.BaseSearchBody
- Direct Known Subclasses:
BaseSearchDictBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody,SearchBody
Base class for search request body objects in admin API.
Provides common pagination parameters for search operations.
-
Field Summary
Fields -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionintGets the current page number for search results.intGets the page size for search results.
-
Field Details
-
size
The page size for search results. -
page
The page number for search results.
-
-
Constructor Details
-
BaseSearchBody
public BaseSearchBody()Default constructor for BaseSearchBody.
-
-
Method Details
-
getPageSize
public int getPageSize()Gets the page size for search results.- Returns:
- The page size.
-
getCurrentPageNumber
public int getCurrentPageNumber()Gets the current page number for search results.- Returns:
- The current page number.
-